Subject: Re: POP3 & The Search For New Mail

From: "Edmund GRIMLEY-EVANS" <[email-masked]>
Date: Wed, 26 Jul 2000 10:38:27 +0100

C-client isn't much good for POP3.

If you want to know what sort of things you can do with POP3, read the
RFCs or look at fetchmail.

In my experience, nearly all POP3 servers have UIDL, and I haven't yet
found one that doesn't have TOP. Most POP3 servers preserve the order
of messages. So there are three methods you can use for detecting new
messages without downloading everything ... but none of them is
guaranteed to work with every server that obeys the RFC.

There's still a hole in the market for a really good fetchmail replacement.
Fetchmail is very unreliable with UIDs (it messes up if there are network
or file system problems during download) and I think it would be good
for the same program to recognise duplicates using MD5 sums because
servers can change all the UIDs sometimes.

Edmund